How do I fix downgraded / broken PHP after installing RPM packages?

PHP should not be installed via yum/rpm in CentOS as the version distributed is very old. To fix it follow these steps:

cd /usr/src/php-5.2.11
make install
service httpd restart

Replace 5.2.11 with the version in your system. These steps will re-install the custom PHP installation in your VPS. If you have any doubts, feel free to open a support ticket and we will help you out.